Packages - Bug #2770

[ffmpeg] cannot install on i686/openrc
2020-05-07 06:18 PM - DragOnFly

Status: not-a-bug % Done: 0%
Priority: broken

Assignee:

Category:

Description

See attachment.

History

#1 - 2020-05-07 06:20 PM - DragOnFly

The reason this bug report did not have any proper description is due to the error message "Sorry, that post has too many non-dictionary words.
Consider putting long command-line outputs and URLSs into a file and attaching it with the 'Browse' button below." (regardless of how short the
description was!)

The actual report is in the attachment, which the system registered twice.

#2 - 2020-05-07 06:38 PM - freemor

- Status changed from unconfirmed to confirmed

pactree shows that it stems from gnutls
which pulls in p11-kit
which pulls in systemd

And that is looking at the libre version of ffmpeg I'm working on (to remove CUDA). it is in [libre-testing] so if anyone more versed in systemd/openrc
wants to hop on
it's probably best to start from there.

#3 - 2020-05-08 03:41 AM - bill-auger

that looks like the same reason why 'base-devel' can not be
installed on an openrc system - we have not gooten to the root
of it yet - im going to link these together for now

https://labs.parabola.nu/issues/2638

#4 - 2020-05-08 04:01 AM - bill-auger
- Related to Bug #2638: [systemd] remove from base-devel group added

#5 - 2020-05-08 04:06 AM - bill-auger
- File deleted (blah.txt)

#6 - 2020-05-08 04:02 PM - Megver83

please don't get confused. The short answer is that Arch Linux 32 sucks (the base for our i686 pkgs)

long answer: if gnutls installs p11-kit, install it! but from [nonsystemd]. Now, the problem is that as Arch i686 is too crappy (many broken
dependencies, delayed updates, strange versioning) p11-kit has a higher pkgrel than it's [nonsystemd] counterpart, so pacman believes that the
[extra] version is the update (which depends on systemd)

that looks like the same reason why 'base-devel' can not be

installed on an openrc system - we have not gooten to the root
of it yet - im going to link these together for now

Not really, the reason for that is that base-devel has systemd, not because of a dependency, like in this case. Now, p11-kit is indirectly needed there,
but by installing the [nonsystemd] version that can be easily solved.

#7 - 2020-05-08 04:03 PM - Megver83

- Priority changed from bug to broken
https://labs.parabola.nu/issues/2638

- Subject changed from Installation of ffmpeg (4.2.2-6.0) breaks system due to incorrect systemd dependencies to [i686][nonsystemd][openrc]
Installation of ffmpeg (4.2.2-6.0) breaks system due to indirect systemd dependency

#8 - 2020-05-08 05:46 PM - eschwartz
Megver,

The pacman software will attempt to install a dependency package from the first repository which provides it, without regard for which repository has a
"newer" version.

If the dependency is a virtual package instead of a package name, then the user will be prompted to select one, but the default selection (e.g. with
--noconfirm) is again, the one from the first repository (and within that repository, alphanumeric order should win).

Unless there is some sort of version pinning going on and the nonsystemd version simply doesn't satisfy the requirements there is no reason this
shouldn't work...

DragOnFly,

Try installing ffmpeg with the pacman --debug flag, and post the full error log.
#9 - 2020-05-08 06:32 PM - DragOnFly

Providing the --debug output from “pacman -S ffmpeg”

attached file: pacman-ffmpeg-debug-log.txt

#10 - 2020-05-08 06:34 PM - DragOnFly

btw-Not sure why the /var/lib/pacman/sync/*db.sig files are missing, but regular updates do not have any issues.

#11 - 2020-05-08 06:47 PM - eschwartz

.sig files are allowed to be missing, since the default siglevel for arch is:

- packages require signing
- databases do not require signing, but if signatures are found, they are validated

As for your issue, it seems libpulse, part of the dependency tree, depends on the name "systemd" for the /usr/bin/systemctl binary, and uses that
binary in the post_install scriptlet.

The first repository which contains a package literally named "systemd" wins. Using a package called "notsystemd" would work if it was preinstalled
before installing ffmpeg, though.

#12 - 2020-05-09 03:28 AM - bill-auger

- Subject changed from [i686][nonsystemd][openrc] Installation of ffmpeg (4.2.2-6.0) breaks system due to indirect systemd dependency to [ffmpeg]
blocks upgrading i686/openrc system

- File pacman-ffmpeg-debug-log.txt added

i could not help noticing all those 'HoldPkg' and 'IgnorePkg' - you should use those very rarely and cautiously - that can also lead to dependency
problems - normally, 'pacman’ and 'glibc' are
the only 'HoldPkg' entries

regarding ffmpeg, i just upgraded my i686 and x86_64 openrc systems and had no conflicts - i did not have nonprism enabled though - maybe
something in nonprism is causing the conflict - or maybe it is those held and ignored packages

as it appears that both megver and eli have concluded that there is no obvious problem; and i can not reproduce it, im going to set this back to
non-confirmed

#13 - 2020-05-09 05:08 AM - bill-auger
- Subject changed from [ffmpeg] blocks upgrading i686/openrc system to [ffmpeg] cannot install on i686/openrc

#14 - 2020-05-09 05:08 AM - bill-auger
- Related to deleted (Bug #2638: [systemd] remove from base-devel group)

#15 - 2020-05-09 05:13 AM - bill-auger

- Status changed from confirmed to info needed

#16 - 2020-05-09 05:14 AM - bill-auger
DragOnFly -
can you check that you have no systemd packages installed now

$ pacman -Qsq systemd

and is there any problem synchronizing the system?

$ pacman —-Syyuu

#17 - 2020-05-09 02:34 PM - DragOnFly

A regular system upgrade works fine (sorry, | thought | already mentioned this in the ticket). The issue is (so far) only with ffmpeg.

# pacman -Syu
Synchronizing package databases...

nonprism 25.6 KiB
332 KiB/s 00:00 [######4#HH#44dHH444HH4#44H 444444 4#4FHBHFHFHHHHHHFHHFHAHRBHFHFERHFHHFHHHHHH] 100%

nonsystemd 25.8 KiB
0.00 B/s 00:00 [####fffdfddddfdddfddddfdffH 4444444 AR HHHHHHHHHHHHBRRHHR SR SSSSHEEE] 1008

libre 334.0 KiB
1369 KiB/s 00:00 [######4#4H##444HH#44HHH#44HHHHHHFEHHFHFHHHHHHFEHFHFHHHSHSHSSHFHFSHHHHHFHSHHHH] 1003

core 122.8 KiB
12.0 MiB/s 00:00 [######444HHH44dHH#444HH#44HHH#44HHHFHFHHHHHHFRHFHFHRHHHHFSSHFHFHSHHHHFHHHHHH] 100%

extra 1679.2 KiB
4.97 MiB/s 00:00 [######### #4444 H#HFHHHHHHHHHHHHHHHHH BB BB HHHHHHHH BB BB BB H BB H BB HHHHH BB HHHHHHH 4 H4H] 1008

community 4.4 MiB
5.57 MiB/s 00:01 [##########44HHH#444HH#444HHH#4FHHHFHFHHHHHHHEHHFHFHSHHHSHSHHFHFSHHHHFHSSHHHHEE] 100

pcr 497.6 KiB

4.42 MiB/s 00:00 [#######HH#44dHH44dHt444HHH444HHHF4FHHHHHHHHHHFHFHHHHHAHRHHFHFERHHHFSRHHFHHEE] 100
Starting full system upgrade...

warning: eudev: ignoring package downgrade (3.2.9-15 => 3.2.9-1)

warning: eudev-libudev: ignoring package downgrade (3.2.9-15 => 3.2.9-1)

resolving dependencies...

looking for conflicting packages...

Packages (56)
archlinux-keyring-20200422-1.0 argon2-20190702-3.0 bind-tools-9.16.2-1.0 binutils-2.34-2.1 ca-certificate
s-mozilla-3.52-1.0 cmake-3.17.2-1.0 coreutils-8.32-1.4 curl-7.70.0-1.0
dhcpcd-9.0.2-1.0 dnsmasg-2.81-3.0 fish-3.1.1-1.0 freetds-1.1.33-1.0 gawk-5.1.0-1.0 gettext-
0.20.2-1.2 glib2-2.64.2-1.1 glib2-docs-2.64.2-1.1 gobject-introspection-1.64.1-2.3
gobject-introspection-runtime-1.64.1-2.3 gssproxy-0.8.3-1.0 1iana-etc-20200428-1.0 Jjansson-2.1
2-2.0 keybase-5.4.2-1.0 1libidn-1.35-2.1 1libmicrohttpd-0.9.70-2.0 1libtool-2.4.6+42+gb88cebd5-12.0
libxslt-1.1.34-2.1 1linux-libre-5.6.7-1 1lvm-1ibs-10.0.0-1.0 1lm_sensors-3.6.0-1.7 1mdb-0.9.25
-1.0 mailcap-2.1.49-1.0 mlocate-0.26.git.20170220-3.0 oniguruma-6.9.5-1.0 pkgconf-1.6.3-4.0
python-cffi-1.14.0-2.1 python-configargparse-1.2.3-1.0 python-cryptography-2.9.2-1.0 python-d
istro-1.5.0-1.0 python-docutils-0.16-1.0 python-dulwich-0.19.16-1.0
python-importlib-metadata-1.5.2-1.0 python-sphinx-3.0.3-1.0 python-urllib3-1.25.9-1.1 python-
zope—interface-5.1.0-1.0 python2-2.7.18-1.0 s-nail-14.9.19-1.0 shared-mime-info-1.15+43+gd23e9%9fa-2.0
shorewall-5.2.4.4-1.0 shorewall-core-5.2.4.4-1.0 texinfo-6.7-3.0 tzdata-2020a-1.0 vim-8.2.05
10-2.0 vim-runtime-8.2.0510-2.0 which-2.21-5.2 =xorgproto-2020.1-1.0 your-freedom-20200502-1

Total Download Size: 162.08 MiB
Total Installed Size: 564.93 MiB
Net Upgrade Size: 10.55 MiB

: Proceed with installation? [Y/n]
There is the systemd-libs-dummy package existing on the system. Not sure which repo provides it as the info is not in -Qi';

# pacman -Qsqg systemd
libelogind
opensysusers
opentmpfiles
systemd-libs—-dummy
your-initfreedom

| removed everything in HoldPkg and ran the ffmpeg installatation again (not sure why this would cause a difference), but it behaved the same.
The only packages in IgnorePkg are eudev and eudev-libudev, and that is specifically due to Parabola not having the '--enable-rule-generator'
configure option set, which

breaks the interface renaming.

Interestingly, p11-kit is already installed and at the newest version. Reinstalling it does not trigger a similar conflict: And the same error appears when
trying to install ffmpeg after p11-kit has been reinstalled;
root@dragonfly /h/m/.maildir# pacman -S ffmpeg
resolving dependencies...
looking for conflicting packages...
systemd and openrc are in conflict (systemd-tools). Remove openrc? [y/N]
Interrupt signal received

#18 - 2020-05-09 05:36 PM - Megver83

| know how pacman works, then maybe DragOnFly installed p11-kit from [core] first, which has, as of now, pkgrel=4.0, while [nonsystemd] is
pkgrel=4.nonsystemd1

$ vercmp 0.23.20-4.nonsystemdl 0.23.20-4.0
=il

which makes pacman believe that [core] is the latest version, ignoring [nonsystemd]
however, if the pkgrel was the same as Arch (which Arch ARM follows) then [nonsystemd] would be considered as an update:

$ vercmp 0.23.20-4.nonsystemdl 0.23.20-4
1

Which is a problem that once | talked about in the mailing list, because some [libre] packages are considered as downgrades when migrating from
Arch 32, but that's not a problem since users are encouraged to do “pacman -Syuu” when migrating

#19 - 2020-05-09 05:38 PM - Megver83

There is the systemd-libs-dummy package existing on the system. Not sure which repo provides it as the info is not in -Qi';

the systemd-*-dummy packages were deprecated a long time ago, now elogind and libelogind provide systemd and systemd-libs, remove them and
install elogind

#20 - 2020-05-09 06:04 PM - DragOnFly

libelogind was already installed. Not sure why this didn't trigger a conflict with the old systemd-libs-dummy package though.
I removed the systemd-dummy (the official name for it;), and it appears to have cleared-up the brokenness —

# pacman -S elogind libelogind
warning: libelogind-241.3-1 is up to date -- reinstalling

# pacman -Q|grep systemd

dbus 1.12.16-5.nonsystemdl

filesystem 2019.10-1.parl.nonsystemdl
libpll-kit 0.23.20-4.nonsystemdl
libutil-linux 2.35.1-1.nonsystemdl
mkinitcpio 27-3.nonsystemdl

pll-kit 0.23.20-4.nonsystemdl
systemd-libs-dummy 1:1-1

util-linux 2.35.1-1.nonsystemdl

# pacman -R systemd-libs-dummy

# pacman -S ffmpeg

Also, the p11-kit is from the nonsystemd repo, "Packages (1) p11-kit-0.23.20-4.nonsystemd1"

#21 - 2020-05-09 06:13 PM - DragOnFly

I'd like to voice my thanks for the fast replies; if only my bug reports for OpenRC was this swift.

And as a sidenote regarding ArchLinux32 brokenness, it has worked very well for me on this system so far - and | really do appreciate that Parabola
supports 32-bit, so that this CPU is not

going to waste (an Atom N270). It has had none of the speculative exec vulnerabilities which other Intel CPUs were susceptible to (great plus for a fw
if you ask me)

#22 - 2020-05-10 12:53 AM - bill-auger

- Status changed from info needed to not-a-bug
https://labs.parabola.nu/users/9962

Files

blah.txt 5.78 KB 2020-05-07 DragOnFly
pacman-ffmpeg-debug-log.txt 33.7 KB 2020-05-09 bill-auger
